# @nuxt/content

[![npm version][npm-version-src]][npm-version-href]
[![npm downloads][npm-downloads-src]][npm-downloads-href]
[![Github Actions CI][github-actions-ci-src]][github-actions-ci-href]
[![Codecov][codecov-src]][codecov-href]
[![License][license-src]][license-href]
[![lerna][lerna-src]][lerna-href]

> @nuxt/content lets you write in a content/ directory, acting as Git-based Headless CMS

- [🎲 &nbsp;Play on CodeSandbox](https://codesandbox.io/s/nuxtcontent-demo-l164h?)
- [🎬 &nbsp;Demonstration videos](https://content.nuxtjs.org/#videos)
- [✨ &nbsp;Release Notes](https://github.com/nuxt/content/releases)
- [📖 &nbsp;Read the documentation](https://content.nuxtjs.org)

## Features

- Blazing fast hot reload in development
- Vue components in Markdown
- Full-text search
- Support static site generation with `nuxt generate`
- Powerful QueryBuilder API (MongoDB like)
- Syntax highlighting to code blocks in markdown files using PrismJS.
- Table of contents generation
- Handles Markdown, CSV, YAML, JSON(5), XML
- Extend with hooks

[📖 Read the documentation](https://content.nuxtjs.org)

## Development

1. Clone this repository
2. Install dependencies using `yarn install` or `npm install`
3. Start development server using `yarn dev` or `npm run dev`

## License

[MIT License](../../LICENSE)

<!-- Badges -->
[npm-version-src]: https://img.shields.io/npm/v/@nuxt/content/latest.svg
[npm-version-href]: https://npmjs.com/package/@nuxt/content

[npm-downloads-src]: https://img.shields.io/npm/dt/@nuxt/content.svg
[npm-downloads-href]: https://npmjs.com/package/@nuxt/content

[github-actions-ci-src]: https://github.com/nuxt/content/workflows/ci/badge.svg
[github-actions-ci-href]: https://github.com/nuxt/content/actions?query=workflow%3Aci

[codecov-src]: https://img.shields.io/codecov/c/github/nuxt/content.svg
[codecov-href]: https://codecov.io/gh/nuxt/content

[license-src]: https://img.shields.io/npm/l/@nuxt/content.svg
[license-href]: https://npmjs.com/package/@nuxt/content

[lerna-src]: https://img.shields.io/badge/maintained%20with-lerna-cc00ff.svg
[lerna-href]: https://lerna.js.org/